# Generated by Django 3.0 on 2020-06-30 11:42

from django.db import migrations, transaction
from l10n_cuba.data.codigos_postales import get_municipio


def populate(apps, schema_editor):
    if schema_editor.connection.alias != 'default':
        return

    CodigoPostal = apps.get_model('l10n_cuba', 'CodigoPostal')
    m = get_municipio(apps=apps)

    CODIGOS_POSTALES = [
        # Pinar del Rio
        {'municipio': m['Sandino'], 'codigo_postal': 24150, 'localidad': None},
        {'municipio': m['Mantua'], 'codigo_postal': 22200, 'localidad': None},
        {'municipio': m['Minas de Matahambre'], 'codigo_postal': 22300, 'localidad': None},
        {'municipio': m['Viñales'], 'codigo_postal': 22400, 'localidad': None},
        {'municipio': m['La Palma'], 'codigo_postal': 22600, 'localidad': None},
        {'municipio': m['Los Palacios'], 'codigo_postal': 22900, 'localidad': None},
        {'municipio': m['Consolación del Sur'], 'codigo_postal': 23000, 'localidad': None},
        {'municipio': m['Pinar del Río'], 'codigo_postal': 20100, 'localidad': None},
        {'municipio': m['San Luis'], 'codigo_postal': 23100, 'localidad': None},
        {'municipio': m['San Juan y Martínez'], 'codigo_postal': 23200, 'localidad': None},
        {'municipio': m['Guane'], 'codigo_postal': 23300, 'localidad': None},

        # Artemisa
        {'municipio': m['Bahía Honda'], 'codigo_postal': 22600, 'localidad': None},
        {'municipio': m['Mariel'], 'codigo_postal': 32100, 'localidad': None},
        {'municipio': m['Guanajay'], 'codigo_postal': 32200, 'localidad': None},
        {'municipio': m['Caimito'], 'codigo_postal': 32300, 'localidad': None},
        {'municipio': m['Bauta'], 'codigo_postal': 32400, 'localidad': None},
        {'municipio': m['San Antonio de los Baños'], 'codigo_postal': 32500, 'localidad': None},
        {'municipio': m['Güira de Melena'], 'codigo_postal': 33600, 'localidad': None},
        {'municipio': m['Alquízar'], 'codigo_postal': 33700, 'localidad': None},
        {'municipio': m['Artemisa'], 'codigo_postal': 33800, 'localidad': None},
        {'municipio': m['Candelaria'], 'codigo_postal': 22700, 'localidad': None},
        {'municipio': m['San Cristóbal'], 'codigo_postal': 22800, 'localidad': None},

        # La Habana
        {'municipio': m['Playa'], 'codigo_postal': 11300, 'localidad': None},
        {'municipio': m['Plaza de la Revolución'], 'codigo_postal': 10400, 'localidad': None},
        {'municipio': m['Centro Habana'], 'codigo_postal': 10200, 'localidad': None},
        {'municipio': m['La Habana Vieja'], 'codigo_postal': 10100, 'localidad': None},
        {'municipio': m['Regla'], 'codigo_postal': 11200, 'localidad': None},
        {'municipio': m['La Habana del Este'], 'codigo_postal': 10900, 'localidad': None},
        {'municipio': m['Guanabacoa'], 'codigo_postal': 11100, 'localidad': None},
        {'municipio': m['San Miguel del Padrón'], 'codigo_postal': 11000, 'localidad': None},
        {'municipio': m['Diez de Octubre'], 'codigo_postal': 10700, 'localidad': None},
        {'municipio': m['Diez de Octubre'], 'codigo_postal': 10500, 'localidad': None},
        {'municipio': m['Cerro'], 'codigo_postal': 10600, 'localidad': None},
        {'municipio': m['Marianao'], 'codigo_postal': 11500, 'localidad': None},
        {'municipio': m['La Lisa'], 'codigo_postal': 17100, 'localidad': None},
        {'municipio': m['Boyeros'], 'codigo_postal': 10800, 'localidad': None},
        {'municipio': m['Arroyo Naranjo'], 'codigo_postal': 10900, 'localidad': None},
        {'municipio': m['Cotorro'], 'codigo_postal': 14000, 'localidad': None},

        # Mayabeque
        {'municipio': m['Bejucal'], 'codigo_postal': 32600, 'localidad': None},
        {'municipio': m['San José de las Lajas'], 'codigo_postal': 32700, 'localidad': None},
        {'municipio': m['Jaruco'], 'codigo_postal': 32800, 'localidad': None},
        {'municipio': m['Santa Cruz del Norte'], 'codigo_postal': 32900, 'localidad': None},
        {'municipio': m['Madruga'], 'codigo_postal': 33000, 'localidad': None},
        {'municipio': m['Nueva Paz'], 'codigo_postal': 33100, 'localidad': None},
        {'municipio': m['San Nicolás'], 'codigo_postal': 33200, 'localidad': None},
        {'municipio': m['Güines'], 'codigo_postal': 33900, 'localidad': None},
        {'municipio': m['Batabanó'], 'codigo_postal': 33400, 'localidad': None},
        {'municipio': m['Quivicán'], 'codigo_postal': 33500, 'localidad': None},
        {'municipio': m['Melena del Sur'], 'codigo_postal': 33300, 'localidad': None},

        # Matanzas
        {'municipio': m['Matanzas'], 'codigo_postal': 40100, 'localidad': None},
        {'municipio': m['Cárdenas'], 'codigo_postal': 42110, 'localidad': None},
        {'municipio': m['Cárdenas'], 'codigo_postal': 42200, 'localidad': 'Varadero'},  # Varadero
        {'municipio': m['Martí'], 'codigo_postal': 42300, 'localidad': None},
        {'municipio': m['Colón'], 'codigo_postal': 42400, 'localidad': None},
        {'municipio': m['Perico'], 'codigo_postal': 42500, 'localidad': None},
        {'municipio': m['Jovellanos'], 'codigo_postal': 42600, 'localidad': None},
        {'municipio': m['Pedro Betancourt'], 'codigo_postal': 42700, 'localidad': None},
        {'municipio': m['Limonar'], 'codigo_postal': 42800, 'localidad': None},
        {'municipio': m['Unión de Reyes'], 'codigo_postal': 42900, 'localidad': None},
        {'municipio': m['Ciénaga de Zapata'], 'codigo_postal': 43000, 'localidad': None},
        {'municipio': m['Jagüey Grande'], 'codigo_postal': 43100, 'localidad': None},
        {'municipio': m['Calimete'], 'codigo_postal': 43200, 'localidad': None},
        {'municipio': m['Los Arabos'], 'codigo_postal': 43300, 'localidad': None},

        # Villa Clara
        {'municipio': m['Corralillo'], 'codigo_postal': 52100, 'localidad': None},
        {'municipio': m['Quemado de Güines'], 'codigo_postal': 52200, 'localidad': None},
        {'municipio': m['Sagua la Grande'], 'codigo_postal': 53310, 'localidad': None},
        {'municipio': m['Encrucijada'], 'codigo_postal': 52400, 'localidad': None},
        {'municipio': m['Camajuaní'], 'codigo_postal': 52500, 'localidad': None},
        {'municipio': m['Caibarién'], 'codigo_postal': 52610, 'localidad': None},
        {'municipio': m['Remedios'], 'codigo_postal': 52700, 'localidad': None},
        {'municipio': m['Placetas'], 'codigo_postal': 52800, 'localidad': None},
        {'municipio': m['Santa Clara'], 'codigo_postal': 50100, 'localidad': None},
        {'municipio': m['Cifuentes'], 'codigo_postal': 52900, 'localidad': None},
        {'municipio': m['Santo Domingo'], 'codigo_postal': 53100, 'localidad': None},
        {'municipio': m['Ranchuelo'], 'codigo_postal': 53100, 'localidad': None},
        {'municipio': m['Manicaragua'], 'codigo_postal': 53200, 'localidad': None},

        # Cienfuegos
        {'municipio': m['Abreus'], 'codigo_postal': 57700, 'localidad': None},
        {'municipio': m['Aguada de Pasajeros'], 'codigo_postal': 57100, 'localidad': None},
        {'municipio': m['Cienfuegos'], 'codigo_postal': 55100, 'localidad': None},
        {'municipio': m['Cruces'], 'codigo_postal': 57500, 'localidad': None},
        {'municipio': m['Cumanayagua'], 'codigo_postal': 57600, 'localidad': None},
        {'municipio': m['Lajas'], 'codigo_postal': 57400, 'localidad': None},
        {'municipio': m['Palmira'], 'codigo_postal': 57300, 'localidad': None},
        {'municipio': m['Rodas'], 'codigo_postal': 57200, 'localidad': None},

        # Sancti Spiritus
        {'municipio': m['Yaguajay'], 'codigo_postal': 62100, 'localidad': None},
        {'municipio': m['Jatibonico'], 'codigo_postal': 62200, 'localidad': None},
        {'municipio': m['Taguasco'], 'codigo_postal': 62300, 'localidad': None},
        {'municipio': m['Cabaiguán'], 'codigo_postal': 62410, 'localidad': None},
        {'municipio': m['Fomento'], 'codigo_postal': 62500, 'localidad': None},
        {'municipio': m['Trinidad'], 'codigo_postal': 62600, 'localidad': None},
        {'municipio': m['Sancti Spíritus'], 'codigo_postal': 60100, 'localidad': None},
        {'municipio': m['La Sierpe'], 'codigo_postal': 62700, 'localidad': None},

        # Ciego de Avila
        {'municipio': m['Chambas'], 'codigo_postal': 67100, 'localidad': None},
        {'municipio': m['Morón'], 'codigo_postal': 67210, 'localidad': None},
        {'municipio': m['Bolivia'], 'codigo_postal': 67300, 'localidad': None},
        {'municipio': m['Primero de Enero'], 'codigo_postal': 67400, 'localidad': None},
        {'municipio': m['Ciro Redondo'], 'codigo_postal': 67500, 'localidad': None},
        {'municipio': m['Florencia'], 'codigo_postal': 67600, 'localidad': None},
        {'municipio': m['Majagua'], 'codigo_postal': 67700, 'localidad': None},
        {'municipio': m['Ciego de Ávila'], 'codigo_postal': 65100, 'localidad': None},
        {'municipio': m['Venezuela'], 'codigo_postal': 67800, 'localidad': None},
        {'municipio': m['Baraguá'], 'codigo_postal': 67900, 'localidad': None},

        # Camaguey
        {'municipio': m['Carlos Manuel de Céspedes'], 'codigo_postal': 72100, 'localidad': None},
        {'municipio': m['Carlos Manuel de Céspedes'], 'codigo_postal': 74100, 'localidad': 'Piedrecitas'},  # Piedrecitas
        {'municipio': m['Carlos Manuel de Céspedes'], 'codigo_postal': 74110, 'localidad': 'República Dominicana'},  # República Dominicana
        {'municipio': m['Esmeralda'], 'codigo_postal': 72200, 'localidad': None},
        {'municipio': m['Esmeralda'], 'codigo_postal': 74120, 'localidad': 'Brasil'},  # Brasil
        {'municipio': m['Esmeralda'], 'codigo_postal': 74130, 'localidad': 'Jiquí'},  # Jiquí
        {'municipio': m['Esmeralda'], 'codigo_postal': 74140, 'localidad': 'Lombillo'},  # Lombillo
        {'municipio': m['Esmeralda'], 'codigo_postal': 74150, 'localidad': 'Tabor'},  # Tabor
        {'municipio': m['Esmeralda'], 'codigo_postal': 74170, 'localidad': 'Donato'},  # Donato
        {'municipio': m['Sierra de Cubitas'], 'codigo_postal': 72300, 'localidad': None},
        {'municipio': m['Sierra de Cubitas'], 'codigo_postal': 74180, 'localidad': 'Sierra de Cubitas'},  # Sierra de Cubitas
        {'municipio': m['Sierra de Cubitas'], 'codigo_postal': 74190, 'localidad': 'La Gloria'},  # La Gloria
        {'municipio': m['Minas'], 'codigo_postal': 72400, 'localidad': None},
        {'municipio': m['Minas'], 'codigo_postal': 72400, 'localidad': 'Senado'},  # Senado
        {'municipio': m['Minas'], 'codigo_postal': 72400, 'localidad': 'La Gabriela'},  # La Gabriela
        {'municipio': m['Minas'], 'codigo_postal': 72400, 'localidad': 'Lugareño'},  # Lugareño
        {'municipio': m['Minas'], 'codigo_postal': 72400, 'localidad': 'Redención'},  # Redención
        {'municipio': m['Nuevitas'], 'codigo_postal': 72510, 'localidad': None},
        {'municipio': m['Nuevitas'], 'codigo_postal': 72510, 'localidad': 'Nuevitas 1'},  # Nuevitas 1
        {'municipio': m['Nuevitas'], 'codigo_postal': 72520, 'localidad': 'Nuevitas 2'},  # Nuevitas 2
        {'municipio': m['Nuevitas'], 'codigo_postal': 72530, 'localidad': 'Nuevitas 3'},  # Nuevitas 3
        {'municipio': m['Nuevitas'], 'codigo_postal': 74250, 'localidad': 'Playa Santa Lucía'},  # Playa Santa Lucía
        {'municipio': m['Nuevitas'], 'codigo_postal': 74260, 'localidad': 'Puerto tarafa'},  # Puerto tarafa
        {'municipio': m['Nuevitas'], 'codigo_postal': 74270, 'localidad': 'Termoeléctrica 10 de Octubre'},  # Termoeléctrica 10 de Octubre
        {'municipio': m['Sibanicú'], 'codigo_postal': 72700, 'localidad': None},
        {'municipio': m['Sibanicú'], 'codigo_postal': 74370, 'localidad': 'Najasa'},  # Najasa
        {'municipio': m['Sibanicú'], 'codigo_postal': 74380, 'localidad': 'Hatuey'},  # Hatuey
        {'municipio': m['Sibanicú'], 'codigo_postal': 74390, 'localidad': 'Siboney'},  # Siboney
        {'municipio': m['Sibanicú'], 'codigo_postal': 74400, 'localidad': 'Patricio Lumumba'},  # Patricio Lumumba
        {'municipio': m['Florida'], 'codigo_postal': 72810, 'localidad': None},
        {'municipio': m['Florida'], 'codigo_postal': 72810, 'localidad': 'Florida 1'},  # Florida 1
        {'municipio': m['Florida'], 'codigo_postal': 72820, 'localidad': 'Florida 2'},  # Florida 2
        {'municipio': m['Florida'], 'codigo_postal': 72830, 'localidad': 'Florida 3'},  # Florida 3
        {'municipio': m['Florida'], 'codigo_postal': 74420, 'localidad': 'Agramonte'},  # Agramonte
        {'municipio': m['Florida'], 'codigo_postal': 74430, 'localidad': 'La Vallita'},  # La Vallita
        {'municipio': m['Florida'], 'codigo_postal': 74440, 'localidad': 'La Tomatera'},  # La Tomatera
        {'municipio': m['Florida'], 'codigo_postal': 74450, 'localidad': 'San Antonio'},  # San Antonio
        {'municipio': m['Camagüey'], 'codigo_postal': 70100, 'localidad': None},
        {'municipio': m['Camagüey'], 'codigo_postal': 70200, 'localidad': None},
        {'municipio': m['Camagüey'], 'codigo_postal': 74100, 'localidad': 'Altagracia'},  # Altagracia
        {'municipio': m['Vertientes'], 'codigo_postal': 72900, 'localidad': None},
        {'municipio': m['Vertientes'], 'codigo_postal': 74460, 'localidad': 'Aguilar'},  # Aguilar
        {'municipio': m['Vertientes'], 'codigo_postal': 74470, 'localidad': 'Los ángeles'},  # Los ángeles
        {'municipio': m['Vertientes'], 'codigo_postal': 74480, 'localidad': 'Batalla de las Guásimas'},  # Batalla de las Guásimas
        {'municipio': m['Jimaguayú'], 'codigo_postal': 73000, 'localidad': None},
        {'municipio': m['Jimaguayú'], 'codigo_postal': 74490, 'localidad': 'Contramaestre'},  # Contramaestre
        {'municipio': m['Jimaguayú'], 'codigo_postal': 74500, 'localidad': 'Rescate de Sanguily'},  # Rescate de Sanguily
        {'municipio': m['Santa Cruz del Sur'], 'codigo_postal': 73200, 'localidad': None},
        {'municipio': m['Santa Cruz del Sur'], 'codigo_postal': 74510, 'localidad': 'Cándido González'},  # Cándido González
        {'municipio': m['Santa Cruz del Sur'], 'codigo_postal': 74520, 'localidad': 'Haití'},  # Haití
        {'municipio': m['Santa Cruz del Sur'], 'codigo_postal': 74530, 'localidad': 'Cuatro Compañeros'},  # Cuatro Compañeros
        {'municipio': m['Santa Cruz del Sur'], 'codigo_postal': 74540, 'localidad': 'Jagua Tres'},  # Jagua Tres
        {'municipio': m['Santa Cruz del Sur'], 'codigo_postal': 74680, 'localidad': 'La Jagua'},  # La Jagua
        {'municipio': m['Guáimaro'], 'codigo_postal': 72600, 'localidad': None},
        {'municipio': m['Guáimaro'], 'codigo_postal': 74290, 'localidad': 'Camalote'},  # Camalote
        {'municipio': m['Guáimaro'], 'codigo_postal': 74300, 'localidad': 'Cascorro'},  # Cascorro
        {'municipio': m['Guáimaro'], 'codigo_postal': 74310, 'localidad': 'Nuevo Palo Seco'},  # Nuevo Palo Seco
        {'municipio': m['Guáimaro'], 'codigo_postal': 74320, 'localidad': 'Galbis'},  # Galbis
        {'municipio': m['Guáimaro'], 'codigo_postal': 74330, 'localidad': 'Martí'},  # Martí
        {'municipio': m['Guáimaro'], 'codigo_postal': 74340, 'localidad': 'Palo Seco'},  # Palo Seco
        {'municipio': m['Guáimaro'], 'codigo_postal': 74350, 'localidad': 'Santa Lucía'},  # Santa Lucía
        {'municipio': m['Guáimaro'], 'codigo_postal': 74360, 'localidad': 'San Miguel de Bagá'},  # San Miguel de Bagá
        {'municipio': m['Najasa'], 'codigo_postal': 73100, 'localidad': None},
        {'municipio': m['Najasa'], 'codigo_postal': 73100, 'localidad': 'Cuatro Caminos'},  # Cuatro Caminos

        # Las Tunas
        {'municipio': m['Manatí'], 'codigo_postal': 77100, 'localidad': None},
        {'municipio': m['Puerto Padre'], 'codigo_postal': 77200, 'localidad': None},
        {'municipio': m['Jesús Menéndez'], 'codigo_postal': 77300, 'localidad': None},
        {'municipio': m['Majibacoa'], 'codigo_postal': 77400, 'localidad': None},
        {'municipio': m['Las Tunas'], 'codigo_postal': 75500, 'localidad': None},
        {'municipio': m['Las Tunas'], 'codigo_postal': 75100, 'localidad': None},
        {'municipio': m['Jobabo'], 'codigo_postal': 77500, 'localidad': None},
        {'municipio': m['Colombia'], 'codigo_postal': 77600, 'localidad': None},
        {'municipio': m['Amancio'], 'codigo_postal': 77700, 'localidad': None},

        # Holguin
        {'municipio': m['Gibara'], 'codigo_postal': 82100, 'localidad': None},
        {'municipio': m['Gibara'], 'codigo_postal': 84140, 'localidad': 'Velasco'},  # Velasco
        {'municipio': m['Rafael Freyre'], 'codigo_postal': 83300, 'localidad': None},
        {'municipio': m['Banes'], 'codigo_postal': 82300, 'localidad': None},
        {'municipio': m['Antilla'], 'codigo_postal': 82400, 'localidad': None},
        {'municipio': m['Báguanos'], 'codigo_postal': 82500, 'localidad': None},
        {'municipio': m['Holguín'], 'codigo_postal': 80100, 'localidad': None},
        {'municipio': m['Calixto García'], 'codigo_postal': 82600, 'localidad': None},
        {'municipio': m['Calixto García'], 'codigo_postal': 82600, 'localidad': 'Buena Ventura'},  # Buena Ventura
        {'municipio': m['Cacocum'], 'codigo_postal': 57200, 'localidad': None},
        {'municipio': m['Urbano Noris'], 'codigo_postal': 82800, 'localidad': None},
        {'municipio': m['Urbano Noris'], 'codigo_postal': 82800, 'localidad': 'San Germán'},  # San Germán
        {'municipio': m['Cueto'], 'codigo_postal': 82900, 'localidad': None},
        {'municipio': m['Mayarí'], 'codigo_postal': 83000, 'localidad': None},
        {'municipio': m['Frank País'], 'codigo_postal': 83100, 'localidad': None},
        {'municipio': m['Sagua de Tánamo'], 'codigo_postal': 83200, 'localidad': None},
        {'municipio': m['Moa'], 'codigo_postal': 83300, 'localidad': None},

        # Granma
        {'municipio': m['Río Cauto'], 'codigo_postal': 87100, 'localidad': None},
        {'municipio': m['Cauto Cristo'], 'codigo_postal': 87200, 'localidad': None},
        {'municipio': m['Jiguaní'], 'codigo_postal': 87300, 'localidad': None},
        {'municipio': m['Bayamo'], 'codigo_postal': 85100, 'localidad': None},
        {'municipio': m['Yara'], 'codigo_postal': 87400, 'localidad': None},
        {'municipio': m['Manzanillo'], 'codigo_postal': 87510, 'localidad': None},
        {'municipio': m['Campechuela'], 'codigo_postal': 87600, 'localidad': None},
        {'municipio': m['Media Luna'], 'codigo_postal': 87700, 'localidad': None},
        {'municipio': m['Niquero'], 'codigo_postal': 87800, 'localidad': None},
        {'municipio': m['Pilón'], 'codigo_postal': 87900, 'localidad': None},
        {'municipio': m['Bartolomé Masó'], 'codigo_postal': 88000, 'localidad': None},
        {'municipio': m['Buey Arriba'], 'codigo_postal': 88100, 'localidad': None},
        {'municipio': m['Guisa'], 'codigo_postal': 88200, 'localidad': None},

        # Santiago de Cuba
        {'municipio': m['Contramaestre'], 'codigo_postal': 92100, 'localidad': None},
        {'municipio': m['Mella'], 'codigo_postal': 92200, 'localidad': None},
        {'municipio': m['San Luis'], 'codigo_postal': 92300, 'localidad': None},
        {'municipio': m['Segundo Frente'], 'codigo_postal': 92100, 'localidad': None},
        {'municipio': m['Songo - La Maya'], 'codigo_postal': 92610, 'localidad': None},
        {'municipio': m['Santiago de Cuba'], 'codigo_postal': 90100, 'localidad': None},
        {'municipio': m['Palma Soriano'], 'codigo_postal': 92610, 'localidad': None},
        {'municipio': m['Tercer Frente'], 'codigo_postal': 92700, 'localidad': None},
        {'municipio': m['Guamá'], 'codigo_postal': 92800, 'localidad': None},

        # Guantanamo
        {'municipio': m['El Salvador'], 'codigo_postal': 97100, 'localidad': None},
        {'municipio': m['Manuel Tames'], 'codigo_postal': 97700, 'localidad': None},
        {'municipio': m['Yateras'], 'codigo_postal': 99420, 'localidad': None},
        {'municipio': m['Baracoa'], 'codigo_postal': 97310, 'localidad': None},
        {'municipio': m['Maisí'], 'codigo_postal': 99320, 'localidad': None},
        {'municipio': m['Imías'], 'codigo_postal': 97500, 'localidad': None},
        {'municipio': m['San Antonio del Sur'], 'codigo_postal': 97600, 'localidad': None},
        {'municipio': m['Caimanera'], 'codigo_postal': 97800, 'localidad': None},
        {'municipio': m['Guantánamo'], 'codigo_postal': 95100, 'localidad': None},
        {'municipio': m['Niceto Pérez'], 'codigo_postal': 97900, 'localidad': None},

        # Isla de la Juventud
        {'municipio': m['Isla de la Juventud'], 'codigo_postal': 25100, 'localidad': None},
        {'municipio': m['Isla de la Juventud'], 'codigo_postal': 25300, 'localidad': None},
    ]
    with transaction.atomic():
        for codigos_postales in CODIGOS_POSTALES:
            cp = CodigoPostal.objects.create(
                municipio=codigos_postales['municipio'],
                codigo_postal=codigos_postales['codigo_postal'],
                localidad=codigos_postales['localidad']
            )
            cp.save()


def reverse_populate(apps, schema_editor):
    CodigoPostal = apps.get_model('l10n_cuba', 'CodigoPostal')
    codigos_postales = CodigoPostal.objects.all()
    codigos_postales.delete()


class Migration(migrations.Migration):
    atomic = False
    dependencies = [
        ('l10n_cuba', '0004_codigopostal'),
    ]

    operations = [
        migrations.RunPython(populate, reverse_populate)
    ]
